

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Power Management Board Configuration &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../genindex.html"/>
        <link rel="search" title="Search" href="../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../index.html"/>
        <link rel="up" title="Chapter 3: Board Configuration" href="index.html"/>
        <link rel="next" title="Chapter 4: Interpreting Trace Data" href="../4_trace/index.html"/>
        <link rel="prev" title="Security Board Configuration" href="BOARDCFG_SEC.html"/> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                19.07.00
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="index.html">Chapter 3: Board Configuration</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG.html">Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG_RM.html">Resource Management Board Configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="BOARDCFG_SEC.html">Security Board Configuration</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Power Management Board Configuration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#power-management-configuration-in-system-firmware">Power Management Configuration in System Firmware</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#tisci-api-for-pm-board-config">TISCI API for PM Board Config</a></li>
<li class="toctree-l4"><a class="reference internal" href="#boardcfg-pm-structure">boardcfg_pm structure</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1"><a class="reference internal" href="../5_soc_doc/index.html">Chapter 5: SoC Family Specific Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../index.html">Docs</a> &raquo;</li>
      
          <li><a href="index.html">Chapter 3: Board Configuration</a> &raquo;</li>
      
    <li>Power Management Board Configuration</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="power-management-board-configuration">
<h1>Power Management Board Configuration<a class="headerlink" href="#power-management-board-configuration" title="Permalink to this headline">¶</a></h1>
<div class="section" id="power-management-configuration-in-system-firmware">
<span id="pub-boardcfg-pm-intro"></span><h2>Power Management Configuration in System Firmware<a class="headerlink" href="#power-management-configuration-in-system-firmware" title="Permalink to this headline">¶</a></h2>
<p>The power management portion of system firmware has options that can be
configured independently of the main Board Configuration. In addition,
initialization of the power management portion of the system firmware
can be deferred until this PM board configuration is sent to allow tuning of
the system boot time.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p>The TISCI_MSG_BOARD_CONFIG_PM message MUST be sent in order to initialize
the power management capabilities of system firmware. Until it is received
no power management functionality is available. <strong>IT IS HIGHLY RECOMMENDED
THAT THIS MESSAGE BE SENT IMMEDIATELY AFTER TISCI_MSG_BOARD_CONFIG TO
ENSURE RM AND SECURITY HAVE ALL RESOURCES CONFIGURED AS NEEDED.</strong></p>
<p>The system remains in ROM configured PLL and clock configuration till this
message is invoked. On invoking this call, standard OFC associated with the
SoC is configured. This implies that many of three PLLs and clock tree will
get reconfigured. IP level subdividers may need reconfiguration to continue
operation at desired frequency after this switch over takes place. Though
the ROM configured PLL is expected to be safe, it is usually suboptimal for
complete operation of the SoC.</p>
<p class="last">It is strongly recommended for proper care to be taken for key peripherals
that may be operational and communicating external to SoC. For example,
depending on the SoC and product, pinmux can be used to move the IP’s pins
into isolation to prevent glitch events from being exported from the IP at
the point of reconfiguration of PLLs system wide to the official OFC
configuration.</p>
</div>
<p>A standalone board configuration message contains the power management data
within a flat-typed array.  The power management configuration is provided
separately to reduce DMSC boot time.  The power management board cfg message is
sent any time after the boot notification message is sent and has no dependence
upon receipt of the standard board configuration message.</p>
<div class="section" id="tisci-api-for-pm-board-config">
<span id="pub-boardcfg-pm-tisci"></span><h3>TISCI API for PM Board Config<a class="headerlink" href="#tisci-api-for-pm-board-config" title="Permalink to this headline">¶</a></h3>
<p>The following are the parameters required in the TI-SCI message to pass power management
board configuration data to DMSC after DMSC sends boot notification complete.
The PM board configuration message is not dependent on receipt of the
standard board configuration message.</p>
<div class="section" id="usage">
<h4>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h4>
<table border="1" class="docutils">
<colgroup>
<col width="75%" />
<col width="25%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><strong>Message Type</strong></td>
<td>Normal</td>
</tr>
<tr class="row-even"><td><strong>Secure Queue Only?</strong></td>
<td>No</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="tisci-message-id">
<h4>TISCI Message ID<a class="headerlink" href="#tisci-message-id" title="Permalink to this headline">¶</a></h4>
<p><code class="docutils literal"><span class="pre">TISCI_MSG_BOARD_CONFIG_PM</span>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; <span class="pre">(0x000EU)</span></code></p>
</div>
<div class="section" id="message-data-structures">
<h4>Message Data Structures<a class="headerlink" href="#message-data-structures" title="Permalink to this headline">¶</a></h4>
<p><p><strong>struct tisci_msg_board_config_pm_req</strong></p>
<p>TISCI_MSG_BOARD_CONFIG_PM request to provide the location and size of the boardcfg Power Management configuration structure.</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="19%" />
<col width="64%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header</td>
</tr>
<tr class="row-odd"><td>boardcfg_pmp_low</td>
<td>u32</td>
<td>Low 32-bits of physical pointer to boardcfg PM configuration struct.</td>
</tr>
<tr class="row-even"><td>boardcfg_pmp_high</td>
<td>u32</td>
<td>High 32-bits of physical pointer to boardcfg PM configuration struct.</td>
</tr>
<tr class="row-odd"><td>boardcfg_pm_size</td>
<td>u16</td>
<td>Size of PM configuration data.</td>
</tr>
</tbody>
</table>
</p>
<p><p><strong>struct tisci_msg_board_config_pm_resp</strong></p>
<p>Empty response for TISCI_MSG_BOARD_CONFIG_PM.</p>
<table border="1" class="docutils">
<colgroup>
<col width="27%" />
<col width="43%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Parameter</th>
<th class="head">Type</th>
<th class="head">Description</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>hdr</td>
<td>struct tisci_header</td>
<td>TISCI header.</td>
</tr>
</tbody>
</table>
<p>Although this message is essentially empty and contains only a header
 a full data structure is created for consistency in implementation.</p>
</p>
</div>
</div>
<div class="section" id="boardcfg-pm-structure">
<span id="pub-boardcfg-pm"></span><h3>boardcfg_pm structure<a class="headerlink" href="#boardcfg-pm-structure" title="Permalink to this headline">¶</a></h3>
<p>This is a fixed size c-structure which both defines the format of the
configuration as well as reserves DMSC memory to store the configuration.
However, the boardcfg_pm data structure is <strong>currently empty</strong>.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Although currently empty, in order to properly initialize the PM subsystem
this message must still be sent with the address and size parameters all
configured to 0.</p>
</div>
</div>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="../4_trace/index.html" class="btn btn-neutral float-right" title="Chapter 4: Interpreting Trace Data" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="BOARDCFG_SEC.html" class="btn btn-neutral" title="Security Board Configuration" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2019</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'19.07.00',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>